ข้ามไปยังเนื้อหา

GPT Image 2.5 Sunburst Text to Image

ผสานการทำงาน

ID โมเดล openai/gpt-image-2.5/sunburst/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/sunburst/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.054 54 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
OpenAI ข้อความเป็นภาพ #realism#typography#stylized

GPT Image 2.5 Sunburst แปลงข้อความเป็นภาพด้วยคุณภาพ xhigh/max สร้างได้สูงสุด 10 ภาพ และควบคุมการบีบอัดได้

OpenAI · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 32000

พรอมต์ที่ใช้สร้างรูปภาพ

image_size ค่าเริ่มต้น landscape_4_3

ขนาดเอาต์พุตรับชื่อพรีเซ็ต ออบเจ็กต์ {width, height} หรือ 'auto' เพื่อให้โมเดลเลือกขนาดที่ดีที่สุด ขนาดที่ระบุเป็นตัวเลขทั้งหมดต้องมีมิติหารด้วย 16 ลงตัว ขอบยาวไม่เกิน 3840px อัตราส่วนภาพไม่เกิน 3:1 และจำนวนพิกเซลรวมอยู่ระหว่าง 655,360–8,294,400

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่จะสร้าง

ขั้นสูง background · quality · output_format · output_compression · enable_safety_checker
background ค่าเริ่มต้น auto

พื้นหลังของรูปภาพผลลัพธ์

quality ค่าเริ่มต้น high

การเลือกคุณภาพรูปภาพ โดย 'auto' ให้โมเดลตัดสินใจ การตั้งค่าที่สูงขึ้นให้รายละเอียดเพิ่มเติม แต่มีเวลาแฝงและการใช้งานโทเค็นมากขึ้น

output_format ค่าเริ่มต้น png

รูปแบบไฟล์ของรูปภาพเอาต์พุต

การตั้งค่าการบีบอัดที่ใช้ได้เฉพาะกับ 'jpeg' หรือ 'webp' ใน output_format โดยช่วงค่าที่อนุญาตคือ 0–100

POST /run/openai/gpt-image-2.5/sunburst/text-to-image?wait=20 ใบเสนอราคา → $0.054
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/sunburst/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ GPT Image 2.5 Sunburst Text to Image

สร้างภาพจากพรอมป์ที่มีความยาวสูงสุด 32000 อักขระ คุณภาพมีตัวเลือก auto, low, medium, high, xhigh และ max โดยค่าที่สูงขึ้นจะเพิ่มรายละเอียดและเวลาแฝง `num_images` ตั้งได้สูงสุด 10 และ `output_compression` ตั้งแต่ 0 ถึง 100 ใช้กับ jpeg และ webp ขนาดใช้พรีเซ็ต, auto หรือมิติที่ระบุเอง

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≤ 32,000 อักขระ
พรอมต์ที่ใช้สร้างรูปภาพ
image_sizeไม่บังคับ
ประเภทobject
ค่าเริ่มต้นlandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto
ขนาดเอาต์พุตรับชื่อพรีเซ็ต ออบเจ็กต์ {width, height} หรือ 'auto' เพื่อให้โมเดลเลือกขนาดที่ดีที่สุด ขนาดที่ระบุเป็นตัวเลขทั้งหมดต้องมีมิติหารด้วย 16 ลงตัว ขอบยาวไม่เกิน 3840px อัตราส่วนภาพไม่เกิน 3:1 และจำนวนพิกเซลรวมอยู่ระหว่าง 655,360–8,294,400
backgroundไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
autotransparentopaque
พื้นหลังของรูปภาพผลลัพธ์
qualityไม่บังคับ
ประเภทenum
ค่าเริ่มต้นhigh
autolowmediumhighxhighmax
การเลือกคุณภาพรูปภาพ โดย 'auto' ให้โมเดลตัดสินใจ การตั้งค่าที่สูงขึ้นให้รายละเอียดเพิ่มเติม แต่มีเวลาแฝงและการใช้งานโทเค็นมากขึ้น
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 10
จำนวนรูปภาพที่จะสร้าง
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นpng
jpegpngwebp
รูปแบบไฟล์ของรูปภาพเอาต์พุต
output_compressionไม่บังคับ
ประเภทinteger | null
0 – 100
การตั้งค่าการบีบอัดที่ใช้ได้เฉพาะกับ 'jpeg' หรือ 'webp' ใน output_format โดยช่วงค่าที่อนุญาตคือ 0–100
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "openai/gpt-image-2.5/sunburst/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 54,
    "usd": "0.054",
    "charged": 54,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่โมเดลสร้าง

โมเดลเพิ่มเติม: ข้อความเป็นภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/openai/gpt-image-2.5/sunburst/text-to-image.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt